# Module @saltcorn/db-common

This is the db-common package

- Defined in db-common/index.ts:1

#####
Index

### Namespaces

multi_tenant

### Type Aliases

AggregationOptions
CoordOpts
DatabaseClient
JoinField
JoinFields
JoinOptions
JsonPath
JsonPathElem
Operator
PartialSome
PrimaryKeyValue
Row
SelectOptions
SqlAndValues
StrongRow
SubselectOptions
Value
Where

### Properties

tenants

### Functions

buildInsertBulkSql
buildInsertSql
doCount
doDeleteWhere
doListScTables
doListTables
doListUserDefinedTables
do_add_index
do_drop_index
ftsFieldsSqlExpr
mkSelectOptions
mkVal
mkWhere
orderByIsObject
orderByIsOperator
prefixFieldsInWhere
reprAsJson
slugify
sqlBinOp
sqlFun
sqlsanitize
sqlsanitizeAllowDots
subSelectWhere
tryCatchInTransaction
withTransaction

## Properties

### tenants

tenants: ((connObj) => multi_tenant)

#### Type declaration

- - (connObj): multi_tenant

  - #### Parameters

    - ##### connObj: any

      db connection object

    #### Returns multi_tenant

- Defined in db-common/tenants.ts:9

Generated using TypeDoc